import 'package:functions/src/core/domain/repositories/functions_repository.dart';
import 'package:functions/src/features/remote_connection/domain/entities/picture_entity.dart';
import 'package:functions/src/features/remote_connection/domain/get_pictures_use_case.dart';

class GetPicturesUseCaseImpl implements GetPicturesUseCase {
  GetPicturesUseCaseImpl(this._repository);

  final FunctionsRepository _repository;

  @override
  Future<List<PictureEntity>> getPictures({required String userId}) {
    return _repository.getPictures(userId: userId);
  }
}